# Configuration des données initiales
App\Entity\EtatPrestataire:
    etatSuspendu:
        enabled: true
        name: 'Suspendu'
        content: 'Prestataires suspendus pour diverses raisons'
    etatRappel:
        enabled: true
        name: 'Rappel'
        content: 'Prestataires à rappeler'
    etatAnnule:
        enabled: true
        name: 'Annulé'
        content: 'Prestataires annulé'
    etatProspect:
        enabled: true
        name: 'Prospects'
        content: 'Prospects'

App\Entity\TypePrestataire:
    typepresta1:
        name: 'Prestataire'
    typepresta2:
        name: 'Partenaire'

App\Entity\Usergroup:
    usergroup_adherent:
        __construct: ['Adherent', ['ROLE_ADHERENT']]
    usergroup_prestataire:
        __construct: ['Prestataire', ['ROLE_PRESTATAIRE']]
    usergroup_caissier:
        __construct: ['Caissier', ['ROLE_CAISSIER']]
    usergroup_adminsiege:
        __construct: ['Administrateur du Siege', [
            'ROLE_ADMIN_SIEGE',
            'ROLE_SONATA_USER_ADMIN_USER_ALL',
            'ROLE_SONATA_USER_ADMIN_GROUP_ALL',
            'ROLE_ADMIN_COMPTOIR_GERER_LIST',
            'ROLE_ADMIN_COMPTOIR_GERER_VIEW',
            'ROLE_ADMIN_ADHERENT_GERER_ALL',
            'ROLE_ADMIN_ALL_COTISATIONS_ALL',
            'ROLE_ADMIN_ALL_ACHATSMONNAIE_ALL',
            'ROLE_ADMIN_GROUPE_GERER_ALL',
            'ROLE_ADMIN_GLOBALPARAMETER_GERER_ALL',
            'ROLE_ADMIN_TRANSFERT_GERER_ALL',
            'ROLE_ADMIN_ALL_DEMANDE_ACHATSMONNAIE_ALL',
            'ROLE_ADMIN_OPERATION_PRESTATAIRE_GERER_LIST',
            'ROLE_ADMIN_OPERATION_ADHERENT_GERER_LIST',
            'ROLE_ADMIN_OPERATION_COMPTOIR_GERER_LIST',
            'ROLE_ADMIN_OPERATION_GROUPE_GERER_LIST',
            'ROLE_ADMIN_OPERATION_SIEGE_GERER_LIST',
            'ROLE_ADMIN_ADHERENT_COTISATIONS_ALL',
            'ROLE_ADMIN_PRESTATAIRE_COTISATIONS_ALL',
            'ROLE_ADMIN_ALL_COTISATIONS_ALL',
            'ROLE_ADMIN_HELLOASSO_ALL',
            'ROLE_ADMIN_DONS_ALL']]
    usergroup_redacteur:
        __construct: ['Rédacteur', [
            'ROLE_REDACTEUR',
            'ROLE_SONATA_MEDIA_ADMIN_MEDIA_ALL',
            'ROLE_SONATA_MEDIA_ADMIN_GALLERY_ALL',
            'ROLE_SONATA_MEDIA_ADMIN_GALLERY_HAS_MEDIA_ALL',
            'ROLE_PRODIGIOUS_SONATA_MENU_ADMIN_MENU_ALL',
            'ROLE_PRODIGIOUS_SONATA_MENU_ADMIN_MENU_ITEM_ALL',
            'ROLE_ADMIN_NEWS_GERER_ALL',
            'ROLE_ADMIN_DOCUMENT_GERER_ALL',
            'ROLE_ADMIN_RUBRIQUE_GERER_ALL',
            'ROLE_ADMIN_FAQ_GERER_ALL',
            'ROLE_ADMIN_PAGE_GERER_ALL',
            'ROLE_ADMIN_TRADUCTION_GERER_ALL']]
    usergroup_controleur:
        __construct: ['Contrôleur', [
            'ROLE_CONTROLEUR',
            'ROLE_ADMIN_TRANSACTION_GERER_LIST',
            'ROLE_ADMIN_TRANSACTION_GERER_VIEW',
            'ROLE_ADMIN_OPERATION_PRESTATAIRE_GERER_LIST',
            'ROLE_ADMIN_OPERATION_ADHERENT_GERER_LIST']]
    usergroup_tresorier:
        __construct: ['Trésorier', [
            'ROLE_TRESORIER',
            'ROLE_ADMIN_COMPTOIR_GERER_LIST',
            'ROLE_ADMIN_COMPTOIR_GERER_VIEW',
            'ROLE_ADMIN_ALL_COTISATIONS_ALL',
            'ROLE_ADMIN_ALL_ACHATSMONNAIE_ALL',
            'ROLE_ADMIN_RECONVERSION_GERER_ALL',
            'ROLE_ADMIN_TRANSFERT_GERER_ALL',
            'ROLE_ADMIN_ALL_DEMANDE_ACHATSMONNAIE_ALL',
            'ROLE_ADMIN_OPERATION_PRESTATAIRE_GERER_ALL',
            'ROLE_ADMIN_OPERATION_ADHERENT_GERER_ALL',
            'ROLE_ADMIN_OPERATION_COMPTOIR_GERER_ALL',
            'ROLE_ADMIN_OPERATION_GROUPE_GERER_ALL',
            'ROLE_ADMIN_OPERATION_SIEGE_GERER_ALL',
            'ROLE_ADMIN_HELLOASSO_ALL',
            'ROLE_ADMIN_DONS_ALL',
            'ROLE_ADMIN_ADHERENT_GERER_LIST',
            'ROLE_ADMIN_FLUX_GERER_ALL']]
    usergroup_gestiongroupe:
        __construct: ['Gestionnaire de Groupe', [
            'ROLE_GESTION_GROUPE',
            'ROLE_SONATA_USER_ADMIN_USER_ALL',
            'ROLE_ADMIN_ADHERENT_GERER_ALL',
            'ROLE_ADMIN_ADHERENT_COTISATIONS_ALL',
            'ROLE_ADMIN_PRESTATAIRE_GERER_ALL',
            'ROLE_ADMIN_PRESTATAIRE_COTISATIONS_ALL',
            'ROLE_ADMIN_GROUPE_GERER_EDIT',
            'ROLE_ADMIN_GROUPE_GERER_VIEW',
            'ROLE_ADMIN_COMPTOIR_GERER_ALL',
            'ROLE_ADMIN_GROUPEPRESTA_GERER_ALL',
            'ROLE_ADMIN_DOCUMENT_GERER_ALL',
            'ROLE_ADMIN_TRANSFERT_GERER_EDIT',
            'ROLE_ADMIN_TRANSFERT_GERER_LIST',
            'ROLE_ADMIN_TRANSFERT_GERER_CREATE',
            'ROLE_ADMIN_TRANSFERT_GERER_EXPORT',
            'ROLE_ADMIN_OPERATION_PRESTATAIRE_GERER_LIST',
            'ROLE_ADMIN_OPERATION_ADHERENT_GERER_LIST',
            'ROLE_ADMIN_OPERATION_COMPTOIR_GERER_LIST']]
    usergroup_comptoir:
        __construct: ['Comptoir', [
            'ROLE_COMPTOIR',
            'ROLE_ADMIN_ADHERENT_GERER_EDIT',
            'ROLE_ADMIN_ADHERENT_GERER_LIST',
            'ROLE_ADMIN_ADHERENT_GERER_CREATE',
            'ROLE_ADMIN_ADHERENT_GERER_VIEW',
            'ROLE_ADMIN_ADHERENT_COTISATIONS_ALL',
            'ROLE_ADMIN_COMPTOIR_GERER_EDIT',
            'ROLE_ADMIN_COMPTOIR_GERER_VIEW',
            'ROLE_ADMIN_TRANSFERT_GERER_LIST',
            'ROLE_ADMIN_TRANSFERT_GERER_CREATE',
            'ROLE_ADMIN_TRANSFERT_GERER_VIEW',
            'ROLE_ADMIN_PRESTATAIRE_GERER_VIEW',
            'ROLE_ADMIN_PRESTATAIRE_COTISATIONS_VIEW',
            'ROLE_ADMIN_PRESTATAIRE_GERER_LIST',
            'ROLE_ADMIN_PRESTATAIRE_GERER_EDIT',
            'ROLE_ADMIN_PRESTATAIRE_COTISATIONS_EDIT',
            'ROLE_ADMIN_PRESTATAIRE_COTISATIONS_LIST',
            'ROLE_ADMIN_PRESTATAIRE_COTISATIONS_CREATE']]
    usergroup_contact:
        __construct: ['Contact', [
            'ROLE_CONTACT',
            'ROLE_ADMIN_ADHERENT_GERER_ALL',
            'ROLE_ADMIN_ADHERENT_COTISATIONS_ALL',
            'ROLE_ADMIN_PRESTATAIRE_GERER_ALL',
            'ROLE_ADMIN_PRESTATAIRE_COTISATIONS_ALL',
            'ROLE_ADMIN_COMPTOIR_GERER_ALL',
            'ROLE_ADMIN_GROUPEPRESTA_GERER_ALL',
            'ROLE_ADMIN_NEWS_GERER_ALL',
            'ROLE_ADMIN_DOCUMENT_GERER_ALL',
            'ROLE_ADMIN_RUBRIQUE_GERER_ALL']]
    usergroup_superadmin:
        __construct: ['Super Admin', ['ROLE_SUPER_ADMIN']]

Prodigious\Sonata\MenuBundle\Entity\Menu:
    menu_main:
        name: 'Main menu'
        alias: 'main'

Prodigious\Sonata\MenuBundle\Entity\MenuItem:
    menuitem4:
        menu: '@menu_main'
        name: 'Points de vente'
        url: '#'
        position: 1
        target: 0
        enabled: 1
    menuitem5:
        menu: '@menu_main'
        name: 'Carte des prestataires'
        parent: '@menuitem4'
        url: '/prestataires/carte'
        position: 0
        target: 0
        enabled: 1
    menuitem6:
        menu: '@menu_main'
        name: 'Liste des prestataires'
        parent: '@menuitem4'
        url: '/prestataires/liste'
        position: 1
        target: 0
        enabled: 1
    menuitem7:
        menu: '@menu_main'
        name: 'Liste des partenaires'
        parent: '@menuitem4'
        url: '/partenaires/liste'
        position: 2
        target: 0
        enabled: 1
    menuitem8:
        menu: '@menu_main'
        name: 'Rubriques'
        parent: '@menuitem4'
        url: '/prestataires/rubriques'
        position: 3
        target: 0
        enabled: 1
    menuitem9:
        menu: '@menu_main'
        name: 'Comptoirs des habitants'
        url: '#'
        position: 2
        target: 0
        enabled: 1
    menuitem10:
        menu: '@menu_main'
        name: 'Carte des comptoirs'
        parent: '@menuitem9'
        url: '/comptoirs/carte'
        position: 0
        target: 0
        enabled: 1
    menuitem11:
        menu: '@menu_main'
        name: 'Liste des comptoirs'
        parent: '@menuitem9'
        url: '/comptoirs/liste'
        position: 1
        target: 0
        enabled: 1
    menuitem12:
        menu: '@menu_main'
        name: 'Carte des amaps'
        parent: '@menuitem9'
        url: '/groupe/prestataires/amap/carte'
        position: 2
        target: 0
        enabled: 1
    menuitem13:
        menu: '@menu_main'
        name: 'Carte des marchés'
        parent: '@menuitem9'
        url: '/groupe/prestataires/marche/carte'
        position: 3
        target: 0
        enabled: 1
    menuitem14:
        menu: '@menu_main'
        name: 'Aide'
        url: '#'
        position: 3
        target: 0
        enabled: 1
    menuitem15:
        menu: '@menu_main'
        name: 'Foire aux questions'
        parent: '@menuitem14'
        url: '/faq'
        position: 0
        target: 0
        enabled: 1
    menuitem16:
        menu: '@menu_main'
        name: 'Nous contacter'
        parent: '@menuitem14'
        url: '/contact'
        position: 1
        target: 0
        enabled: 1
    menuitem17:
        menu: '@menu_main'
        name: 'Actualités'
        url: '/news'
        position: 4
        target: 0
        enabled: 1

App\Application\Sonata\MediaBundle\Entity\Media:
    media6:
        name: 'wosmpl-marker-icon17-produits-de-lagriculture-et-elevage.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: e5d9701e23fcfa5822d7c93092a522f82cf970ad.png
        provider_metadata: {"filename":"wosmpl-marker-icon17-produits-de-lagriculture-et-elevage.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 29446
        context: 'rubrique'
    media7:
        name: 'wosmpl-marker-icon3-metier-darts-creation.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 3b56c41033edbc04176b2bc943716820b8d5859e.png
        provider_metadata: {"filename":"wosmpl-marker-icon3-metier-darts-creation.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 38284
        context: 'rubrique'
    media8:
        name: 'wosmpl-marker-icon-commerce-alimentaire.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 3f7b75fef4df63756fd425d23fe90fce04757011.png
        provider_metadata: {"filename":"wosmpl-marker-icon-commerce-alimentaire.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 33137
        context: 'rubrique'
    media9:
        name: 'wosmpl-marker-icon2-restaurant-bar-traiteur.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 6eaa4bbdf1225932d30c5ae54fb9996658836d7d.png
        provider_metadata: {"filename":"wosmpl-marker-icon2-restaurant-bar-traiteur.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 32622
        context: 'rubrique'
    media10:
        name: 'wosmpl-marker-icon4-habillement-mode-accessoires.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 91f22423eaf61b22e7365250d902efecdce698fc.png
        provider_metadata: {"filename":"wosmpl-marker-icon4-habillement-mode-accessoires.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 24911
        context: 'rubrique'
    media11:
        name: 'wosmpl-marker-icon5-higiene-beaute.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 749a4285560be42315ac3c4c888557eedc76e81d.png
        provider_metadata: {"filename":"wosmpl-marker-icon5-higiene-beaute.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 25898
        context: 'rubrique'
    media12:
        name: 'wosmpl-marker-icon6-Papeterie-librairie-presse-édition.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: aab9d557c3f77b9682ee6726c059badd89eb9ed8.png
        provider_metadata: {"filename":"wosmpl-marker-icon6-Papeterie-librairie-presse-e\u0301dition.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 37730
        context: 'rubrique'
    media13:
        name: 'wosmpl-marker-icon9-sortie-culturelle.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 978c0d269d054f0e4f2e88de31eae8d0f0b44bfa.png
        provider_metadata: {"filename":"wosmpl-marker-icon9-sortie-culturelle.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 32317
        context: 'rubrique'
    media14:
        name: 'wosmpl-marker-icon11-santé-bien-etre.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: cf4510e313a050931ffae55a7c72651e765e4145.png
        provider_metadata: {"filename":"wosmpl-marker-icon11-sante\u0301-bien-etre.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 36273
        context: 'rubrique'
    media15:
        name: 'wosmpl-marker-icon14-Web-multimédia-communication-imprimerie.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 6286598dea47116e34b4e9635eccf05a3fb9368f.png
        provider_metadata: {"filename":"wosmpl-marker-icon14-Web-multime\u0301dia-communication-imprimerie.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 29416
        context: 'rubrique'
    media16:
        name: 'wosmpl-marker-icon15-sport-et-loisirs.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 1ecae95f3729865d8f249b17146d7aaef9d9b5c3.png
        provider_metadata: {"filename":"wosmpl-marker-icon15-sport-et-loisirs.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 43002
        context: 'rubrique'
    media17:
        name: 'wosmpl-marker-icon16-formation-education.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 72609fa54f78962259708e4e3ff3da37239b224e.png
        provider_metadata: {"filename":"wosmpl-marker-icon16-formation-education.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 31656
        context: 'rubrique'
    media18:
        name: 'wosmpl-marker-icon19-immobillier.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: c1a399604ae2599ffbc5701a1d138830d2ececb7.png
        provider_metadata: {"filename":"wosmpl-marker-icon19-immobillier.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 28576
        context: 'rubrique'
    media19:
        name: 'wosmpl-marker-icon21-divers.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 434524af87d1e989f8fd476a838fb6d0243a34f3.png
        provider_metadata: {"filename":"wosmpl-marker-icon21-divers.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 25092
        context: 'rubrique'
    media20:
        name: 'wosmpl-marker-icon22-marche-amap.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 348b65dcd5ed271c94bf28eb353b12c6bf4d45ac.png
        provider_metadata: {"filename":"wosmpl-marker-icon22-marche-amap.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 34804
        context: 'rubrique'
    media21:
        name: 'wosmpl-marker-icon23-Artisanat-constructions-réparations.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: fc1af9dfa9da71e26464879365203a7d9158bc90.png
        provider_metadata: {"filename":"wosmpl-marker-icon23-Artisanat-constructions-re\u0301parations.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 25215
        context: 'rubrique'
    media22:
        name: 'wosmpl-marker-icon20-service-a-la-personne.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: b48e9ed9bf500aabfca8cd70445d2b9274587dfe.png
        provider_metadata: {"filename":"wosmpl-marker-icon20-service-a-la-personne.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 34234
        context: 'rubrique'
    media23:
        name: 'wosmpl-marker-icon7-decoration-ameublement-bricolage-jardin.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: e1ea5c5d2a395a0d947ed736a3289fea3fdb821b.png
        provider_metadata: {"filename":"wosmpl-marker-icon7-decoration-ameublement-bricolage-jardin.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 39650
        context: 'rubrique'
    media24:
        name: 'wosmpl-marker-icon8-Commerces-divers.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 3433854a2e8d5bf720db32631533afe54600ec87.png
        provider_metadata: {"filename":"wosmpl-marker-icon8-Commerces-divers.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 35621
        context: 'rubrique'
    media25:
        name: 'wosmpl-marker-icon10-Informatique-Electronique.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: 7a313aa2622f4db659d526e76b24322f64c4f910.png
        provider_metadata: {"filename":"wosmpl-marker-icon10-Informatique-Electronique.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 25964
        context: 'rubrique'
    media26:
        name: 'wosmpl-marker-icon13-transports-livraison.png'
        enabled: true
        provider_name: 'sonata.media.provider.image'
        provider_status: true
        provider_reference: ca83dd7189873cf07639668b48e4d6e940745dda.png
        provider_metadata: {"filename":"wosmpl-marker-icon13-transports-livraison.png"}
        width: 512
        height: 512
        content_type: 'image/png'
        content_size: 31625
        context: 'rubrique'

App\Entity\Rubrique:
    rubrique1:
        name: "Produit de l'agriculture et élevage"
        content: ""
        enabled: true
        media: '@media6'
    rubrique2:
        name: "Sports et loisirs"
        content: ""
        enabled: true
        media: '@media16'
    rubrique3:
        name: "Commerce alimentaire"
        content: ""
        enabled: true
        media: '@media8'
    rubrique4:
        name: "Restaurant, bar, traiteur"
        content: ""
        enabled: true
        media: '@media9'
    rubrique5:
        name: "Commerces divers"
        content: ""
        enabled: true
        media: '@media24'
    rubrique6:
        name: "Métiers d'art, créations"
        content: ""
        enabled: true
        media: '@media7'
    rubrique7:
        name: "Habillement, mode, accessoires"
        content: ""
        enabled: true
        media: '@media10'
    rubrique8:
        name: "Papeterie, librairie, presse, édition"
        content: ""
        enabled: true
        media: '@media12'
    rubrique9:
        name: "Marchés, AMAP"
        content: ""
        enabled: true
        media: '@media20'
    rubrique10:
        name: "Web, multimédia, communication, imprimerie"
        content: ""
        enabled: true
        media: '@media15'
    rubrique11:
        name: "Sorties culturelles"
        content: ""
        enabled: true
        media: '@media13'
    rubrique12:
        name: "Informatique, Electronique"
        content: ""
        enabled: true
        media: '@media25'
    rubrique13:
        name: "Décoration, ameublement, bricolage, jardin"
        content: ""
        enabled: true
        media: '@media23'
    rubrique14:
        name: "Artisanat, constructions, réparations"
        content: ""
        enabled: true
        media: '@media21'
    rubrique15:
        name: "Transports, Livraisons"
        content: ""
        enabled: true
        media: '@media26'
    rubrique16:
        name: "Divers"
        content: ""
        enabled: true
        media: '@media19'
    rubrique17:
        name: "Hygiène, beauté"
        content: ""
        enabled: true
        media: '@media11'
    rubrique18:
        name: "Santé, bien-être"
        content: ""
        enabled: true
        media: '@media14'
    rubrique19:
        name: "Immobilier"
        content: ""
        enabled: true
        media: '@media18'
    rubrique20:
        name: "Services à la personne"
        content: ""
        enabled: true
        media: '@media22'
    rubrique21:
        name: "Formation, éducation"
        content: ""
        enabled: true
        media: '@media17'

App\Entity\GlobalParameter:
    gpsolidoume:
        name: "USE_SOLIDOUME"
        description: "Utiliser la sécurité sociale alimentaire"
        value: "false"
        mandatory: 1
    gp00:
        name: "MLC_URL"
        description: "URL complète d'accès au Kohinos"
        value: 'https://127.0.0.1:8000'
        mandatory: 1
    gp1:
        name: "COTISATION_ADHERENT"
        description: 'Montant minimum de la cotisation des adhérents'
        value: '0'
        mandatory: 1
    gp111:
        name: "COTISATION_ADHERENT_DEFAULT"
        description: 'Montant affiché par défaut de la cotisation des adhérents'
        value: '10'
        mandatory: 1
    gp2:
        name: "COTISATION_PRESTATAIRE"
        description: 'Montant minimum de la cotisation des prestataires'
        value: '0'
        mandatory: 1
    gp3:
        name: "RECONVERSION_PRESTATAIRE"
        description: 'Taux de reconversion des prestataires'
        value: '0'
        mandatory: 1
    gp4:
        name: "USE_WORDPRESS"
        description : "'true' : utiliser le module Wordpress et désactiver les fonctions du site kohinos, 'false' : utiliser le site Kohinos"
        value: "false"
        mandatory: 1
    gp5:
        name: "MLC_NAME"
        description: 'Nom (long) de la MLC'
        value: 'Monnaie Alimentaire Commune'
        mandatory: 1
    gp6:
        name: "MLC_NAME_SMALL"
        description: 'Nom court ou abréviation de la MLC'
        value: 'MAC'
        mandatory: 1
    gp7:
        name: "MLC_NOTIF_EMAIL"
        description: "Email d'envoi des notification"
        value: "noreply@mail.fr"
        mandatory: 1
    gp8:
        name: "MLC_CONTACT_EMAIL"
        description: "Email de reception du formulaire de contact"
        value: "noreply@mail.fr"
        mandatory: 1
    gp9:
        name: "MAP_CENTER"
        description: '\Centre de la carte (Coordonnées GPS inscrites comme ceci : "[45.7,3.2]")'
        value: '\[45.7,3.2]'
        mandatory: 1
    gp10:
        name: "MAP_ZOOM"
        description: 'Zoom de la carte (entre 8 et 12 en général)'
        value: '9'
        mandatory: 1
    gp11:
        name: "USE_PAYZEN"
        description: "'true' : utiliser la module de paiement Payzen, 'false' : ne pas utiliser ce module"
        value: 'true'
        mandatory: 1
    gp12:
        name: "USE_HELLOASSO"
        description: "'true' : utiliser la module de paiement Helloasso, 'false' : ne pas utiliser ce module"
        value: 'false'
        mandatory: 1
    gp13:
        name: "ALL_TICKETS"
        description: "Valeur des différents montants des billets de MLC (séparé par une virgule)"
        value: '0'
        mandatory: 1
    gp14:
        name: "MLC_SYMBOL"
        description: "Symbole / devise de la monnaie locale (3 caractères maximum)"
        value: 'mac'
        mandatory: 1
    gp15:
        name: "HELLOASSO_CLIENTID"
        description: "HELLOASSO CLIENT ID"
        value: ''
        mandatory: 1
    gp16:
        name: "HELLOASSO_CLIENTSECRET"
        description: "HELLOASSO CLIENT SECRET"
        value: ''
        mandatory: 1
    gp17:
        name: "HELLOASSO_URL_EMLC_ADHERENT"
        description: "HELLOASSO : Url de la campagne pour l'achat de monnaie numérique pour les adhérents"
        value: ''
        mandatory: 1
    gp18:
        name: "HELLOASSO_URL_EMLC_PRESTATAIRE"
        description: "HELLOASSO : Url de la campagne pour l'achat de monnaie numérique pour les prestataires"
        value: ''
        mandatory: 1
    gp19:
        name: "HELLOASSO_URL_COTISATION_ADHERENT"
        description: "HELLOASSO : Url de la campagne pour la cotisation d'un adhérent"
        value: ''
        mandatory: 1
    gp20:
        name: "HELLOASSO_URL_COTISATION_PRESTATAIRE"
        description: "HELLOASSO : Url de la campagne pour la cotisation d'un prestataire"
        value: ''
        mandatory: 1
    gp21:
        name: "IBAN_ASSOCIATION"
        description: "IBAN de gestion de l'Association"
        value: 'FR7630001007941234567890185'
        mandatory: 1
    gp22:
        name: "IBAN_GUARANTY"
        description: "IBAN du fond de garantie"
        value: 'FR7630001007941234567890185'
        mandatory: 1
    gp23:
        name: "COTISATION_FREE_AMOUNT"
        description: "Est-ce que la cotisation est un montant libre ?"
        value: 'true'
        mandatory: 1
    gp24:
        name: "ACCEPT_DON_ADHERENT_COTISATION"
        description: "Est-ce que les dons sont acceptés lors de la cotisation d'un adhérent ?"
        value: 'true'
        mandatory: 1
    gp25:
        name: "ACCEPT_DON_ADHERENT_ACHAT"
        description: "Est-ce que les dons sont acceptés lors de l'achat de e-mlc d'un adhérent"
        value: 'true'
        mandatory: 1
    gp26:
        name: "ACCEPT_DON_PRESTATAIRE_COTISATION"
        description: "Est-ce que les dons sont acceptés lors de la cotisation d'un prestataire ?"
        value: 'false'
        mandatory: 1
    gp27:
        name: "ACCEPT_DON_PRESTATAIRE_ACHAT"
        description: "Est-ce que les dons sont acceptés lors de l'achat de e-mlc d'un prestataire"
        value: 'false'
        mandatory: 1
    gp28:
        name: "CHECK_ADDRESS"
        description: "Paiement par chèque : Envoyer à cette adresse"
        value: ''
        mandatory: 1
    gp29:
        name: "CHECK_ORDER"
        description: "Paiement par chèque : Ordre à mettre sur ceux-ci"
        value: ''
        mandatory: 1
    gp30:
        name: "CONTACT_FORM_PHONE_NUMBER"
        description: "Numéro de téléphone à afficher dans le formulaire de contact si défini"
        value: ''
        mandatory: 1
    gp31:
        name: "RECONVERSION_FREQUENCY_HELP_TEXT"
        description: "Texte d'explication à destination des prestataires pour le champ Fréquence de reconversion dans leur espace personnel"
        value: 'Caisse Alimentaire Commune'
        mandatory: 1
    

App\Entity\Siege:
    siege_1:
        name: 'Siege MAC'
        content: 'MAC'
        compteNantie: '<randomFloat(2, 0, 200)>'
        ecompteNantie: '<randomFloat(2, 0, 200)>'
        compte: '<randomFloat(2, 10000, 20000)>'

App\Entity\Groupe:
    groupe{1..10}:
        name (unique): '<text(10)>'
        content: '<text(200)>'
        compte: '<randomFloat(2, 1000, 2000)>'
        siege: '@siege_1'

App\Entity\Geoloc:
    geoloc{1..50}:
        adresse: '<streetAddress()>'
        cpostal: <postcode()>
        ville: '<city()>'
        lat: '<randomFloat(6, 45.75, 45.82)>'
        lon: '<randomFloat(6, 3.03, 3.18)>'
        enabled: true

App\Entity\Comptoir:
    comptoir{1..10}:
        name (unique): '<text(10)>'
        enabled: true
        compte: '<randomFloat(2, 1000, 2000)>'
        groupe: '@groupe<numberBetween(1,10)>'
        geoloc (unique): '@geoloc<numberBetween(5,15)>'

App\Entity\Groupeprestataire:
    grppresta1:
        name: 'AMAP de test'
        type: 'amap'
        horaires: 'Tous les Jeudis de 12h à 14h'
        groupe: '@groupe1'
        geoloc: '@geoloc1'
    grppresta2:
        name: 'AMAP de test 2'
        type: 'amap'
        horaires: 'Tous les Mercredis de 12h à 14h'
        groupe: '@groupe2'
        geoloc: '@geoloc2'
    grppresta3:
        name: 'Marché de test'
        type: 'marche'
        horaires: 'Tous les Dimanches de 8h à 12h'
        groupe: '@groupe1'
        geoloc: '@geoloc3'
    grppresta4:
        name: 'Marché de test 2'
        type: 'marche'
        horaires: 'Tous les 1er Dimanches du mois de 8h à 12h et de 18h à 20h'
        groupe: '@groupe3'
        geoloc: '@geoloc4'

App\Entity\Adherent:
    adherent{1..11}:
        ecompte: '<randomFloat(2, 1000, 2000)>'
        groupe: '@groupe<numberBetween(1, 10)>'

App\Entity\Prestataire:
    prestatairemlc:
        mlc: true
        enabled: true
        raison: 'Monnaie locale'
        description: 'Association gérant la monnaie locale et recevant les cotisations'
        users: ['@usersuperadmin']
        siret: ' '
    prestataireuser:
        ecompte: '<randomFloat(2, 1000, 2000)>'
        description: '<text(150)>'
        raison: 'Prestataire de test'
        responsable: '<text(10)>'
        metier: '<text(10)>'
        iban: '<text(10)>'
        statut: '<text(10)>'
        siret: '<text(10)>'
        users: ['@userprestataire']
        typeprestataire: '@typepresta<numberBetween(1,2)>'
        rubriques: '1x @rubrique<numberBetween(1,21)>'
        groupe: '@groupe<numberBetween(1, 10)>'
        horaires: "<dayOfWeek()> de <date('H')>h à <date('H')>h"
    prestataire{1..21}:
        ecompte: '<randomFloat(2, 1000, 2000)>'
        description: '<text(150)>'
        raison: '<text(10)>'
        responsable: '<text(10)>'
        metier: '<text(10)>'
        iban: '<text(10)>'
        statut: '<text(10)>'
        siret: '<text(10)>'
        typeprestataire: '@typepresta<numberBetween(1,2)>'
        rubriques: '1x @rubrique<numberBetween(1,21)>'
        groupe: '@groupe<numberBetween(1, 10)>'
        horaires: "<dayOfWeek()> de <date('H')>h à <date('H')>h"
    prestataire{22..32}:
        ecompte: '<randomFloat(2, 1000, 2000)>'
        description: '<text(150)>'
        raison: <text(10)>
        responsable: <text(10)>
        metier: <text(10)>
        iban: <text(10)>
        statut: <text(10)>
        siret: <text(10)>
        typeprestataire: '@typepresta<numberBetween(1,2)>'
        groupeprestataires: '2x @grppresta<numberBetween(1, 4)>'
        rubriques: '1x @rubrique<numberBetween(1,21)>'
        groupe: '@groupe<numberBetween(1, 4)>'
        horaires: "<dayOfWeek()> de <date('H')>h à <date('H')>h"

App\Entity\GeolocPrestataire:
    geolocp{1..32}:
        name: <text(10)>
        geoloc (unique): '@geoloc<numberBetween(16,50)>'
        prestataire: '@prestataire<current()>'
        enabled: true

App\Entity\Faq:
    faq{1..12}:
        name: 'FAQ : <text(15)>'
        content: <text(80)>
        user: '@userredacteur'

App\Entity\News:
    news{1..12}:
        name: 'News <text(5)>'
        content: <text(80)>
        user: '@userredacteur'

App\Entity\CotisationInfos:
    cotisationInfos1:
        annee: '2019'
        debut: '<dateTimeBetween("-1 days", "now")>'
        fin: '<dateTimeBetween("+1 years", "+2 years")>'
        recu: 'true'
    cotisationInfos{2..44}:
        annee: '2019'
        debut: '<dateTimeBetween("-15 days", "now")>'
        fin: '<dateTimeBetween("+1 years", "+2 years")>'
        recu: 'true'

App\Entity\CotisationAdherent:
    cotisation1:
        operateur: '@useradherent'
        role: 'Adherent'
        parenttype: 'cotisation'
        type: 'cotisation_adherent'
        cotisationInfos: '@cotisationInfos1'
        montant: 10
        moyen: 'espece'
        expediteur: '@adherent1'
        destinataire: '@prestatairemlc'
        createdAt: '<dateTimeBetween("-200 days", "now")>'
    cotisation{2..11}:
        operateur: '@usera<current()>'
        role: 'Adherent'
        parenttype: 'cotisation'
        type: 'cotisation_adherent'
        cotisationInfos: '@cotisationInfos<current()>'
        montant: 10
        moyen: 'cb'
        expediteur: '@adherent<current()>'
        destinataire: '@prestatairemlc'
        createdAt: '<dateTimeBetween("-200 days", "now")>'
App\Entity\CotisationPrestataire:
    cotisationp{2..32}:
        operateur: '@userp<current()>'
        role: 'Prestataire'
        parenttype: 'cotisation'
        type: 'cotisation_prestataire'
        cotisationInfos: '@cotisationInfos<numberBetween(12, 43)>'
        montant: 10
        moyen: 'cb'
        expediteur: '@prestataire<current()>'
        destinataire: '@prestatairemlc'
        createdAt: '<dateTimeBetween("-200 days", "now")>'

App\Entity\User:
    usersuperadmin:
        username: 'adminuser'
        email: 'admin@mail.fr'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_superadmin', '@usergroup_prestataire']
        groups: ['@usergroup_superadmin']
        roles: ['ROLE_SUPER_ADMIN', 'ROLE_PRESTATAIRE']
    usercontact:
        username: 'user_contact'
        email: 'contact@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_contact']
        groups: ['@usergroup_contact']
        roles: ['ROLE_CONTACT']
        groupesgeres: ['@groupe1']
    usercomptoir:
        username: 'user_comptoir'
        email: 'comptoir@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_comptoir']
        groups: ['@usergroup_comptoir']
        roles: ['ROLE_COMPTOIR']
        comptoirsgeres: ['@comptoir1']
    usergestiongroupe:
        username: 'user_gestiongroupe'
        email: 'groupe@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_gestiongroupe']
        groups: ['@usergroup_gestiongroupe']
        roles: ['ROLE_GESTION_GROUPE']
        groupesgeres: ['@groupe1']
    usertresorier:
        username: 'user_tresorier'
        email: 'tresorier@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_tresorier']
        groups: ['@usergroup_tresorier']
        roles: ['ROLE_TRESORIER']
    userredacteur:
        username: 'user_redacteur'
        email: 'redacteur@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_redacteur']
        groups: ['@usergroup_redacteur']
        roles: ['ROLE_REDACTEUR']
    usercontroleur:
        username: 'user_controleur'
        email: 'controleur@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_controleur']
        groups: ['@usergroup_controleur']
        roles: ['ROLE_CONTROLEUR']
    useradminsiege:
        username: 'user_adminsiege'
        email: 'siege@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_adminsiege']
        groups: ['@usergroup_adminsiege']
        roles: ['ROLE_ADMIN_SIEGE']
    userprestataire:
        username: 'user_prestataire'
        email: 'prestataire@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_prestataire']
        groups: ['@usergroup_prestataire']
        roles: ['ROLE_PRESTATAIRE']
        prestataires: ['@prestataire1']
    usercaissier:
        username: 'user_caissier'
        email: 'caissier@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_caissier']
        groups: ['@usergroup_caissier']
        roles: ['ROLE_CAISSIER']
        prestataires: ['@prestataire1']
    useradherent:
        firstname: 'firstname adherent'
        lastname: 'lastname adherent'
        phone: '012345789'
        username: 'user_adherent'
        email: 'adherent@kohinos.test'
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_adherent']
        groups: ['@usergroup_adherent']
        roles: ['ROLE_ADHERENT']
        adherent: '@adherent1'
    usera{2..11}:
        username: 'a<userName()>'
        email: <email()>
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_adherent']
        groups: ['@usergroup_adherent']
        roles: ['ROLE_ADHERENT']
        adherent: '@adherent<current()>'
    userp{2..32}:
        username: 'p<userName()>'
        email: <email()>
        plainPassword: 'test'
        enabled: true
        possiblegroups: ['@usergroup_prestataire']
        groups: ['@usergroup_prestataire']
        roles: ['ROLE_PRESTATAIRE']
        prestataires: ['@prestataire<current()>']
    userapi:
        username: 'userapi'
        email: 'api@kohinos.fr'
        plainPassword: 'nopassword'
        enabled: true
        roles: ['ROLE_API']

# TEST DE TRANSACTIONS / TRANSFERTS !
# App\Entity\TransactionAdherentPrestataire:
#     tro_adh_pre{2..5}:
#         operateur: '@usera<numberBetween(2, 5)>'
#         role: 'Adherent'
#         parenttype: 'transaction'
#         type: 'adherent_prestataire'
#         reference: 'test'
#         moyen: 'virement'
#         montant: 1
#         expediteur: '@adherent<numberBetween(2, 5)>'
#         destinataire: '@prestataire<numberBetween(2, 5)>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
# App\Entity\TransactionAdherentAdherent:
#     tro_adh_adh{2..5}:
#         operateur: '@usera<current()>'
#         role: 'Adherent'
#         parenttype: 'transaction'
#         type: 'adherent_adherent'
#         reference: 'test'
#         moyen: 'transfert'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@adherent<current()>'
#         destinataire: '@adherent<numberBetween(6, 11)>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
# App\Entity\TransactionPrestataireAdherent:
#     tro_pre_adh{2..5}:
#         operateur: '@userp<current()>'
#         role: 'Prestataire'
#         parenttype: 'transaction'
#         type: 'prestataire_adherent'
#         reference: 'test'
#         moyen: 'transfert'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@prestataire<current()>'
#         destinataire: '@adherent<current()>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
# App\Entity\TransactionPrestatairePrestataire:
#     tro_pre_pre{2..5}:
#         operateur: '@userp<current()>'
#         role: 'Prestataire'
#         parenttype: 'transaction'
#         type: 'prestataire_prestataire'
#         reference: 'test'
#         moyen: 'transfert'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@prestataire<current()>'
#         destinataire: '@prestataire<numberBetween(11, 21)>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
# App\Entity\TransfertComptoirGroupe:
#     tre_cpt_grp{2..5}:
#         operateur: '@usercomptoir'
#         role: 'Comptoir'
#         type: 'comptoir_groupe'
#         reference: 'test'
#         moyen: 'transfert'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@comptoir<numberBetween(1,10)>'
#         destinataire: '@groupe<numberBetween(1,10)>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
#         parenttype: 'transfert'
# App\Entity\TransfertGroupeComptoir:
#     tre_grp_cpt{1..5}:
#         operateur: '@usergestiongroupe'
#         role: 'Groupe'
#         type: 'groupe_comptoir'
#         reference: 'test'
#         moyen: 'transfert'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@groupe<numberBetween(1,10)>'
#         destinataire: '@comptoir<numberBetween(1,10)>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
#         parenttype: 'transfert'
# App\Entity\Reconversion:
#     tre_pre_sie{2..5}:
#         operateur: '@userp<current()>'
#         role: 'Prestataire'
#         type: 'reconversion'
#         reference: 'test'
#         moyen: 'transfert'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@prestataire<current()>'
#         destinataire: '@siege_1'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
#         parenttype: 'transfert'
# App\Entity\TransfertSiegeGroupe:
#     tre_sie_grp{1..5}:
#         operateur: '@useradminsiege'
#         role: 'ADMIN_SIEGE'
#         type: 'siege_groupe'
#         reference: 'test'
#         moyen: 'transfert'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@siege_1'
#         destinataire: '@groupe<numberBetween(1,10)>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
#         parenttype: 'transfert'
# App\Entity\VenteComptoirAdherent:
#     vte_cpt_adh{2..5}:
#         operateur: '@usercomptoir'
#         role: 'Comptoir'
#         type: 'comptoir_adherent'
#         reference: 'vte_cpt_adh<current()>'
#         moyen: 'vente'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@comptoir<numberBetween(1,10)>'
#         destinataire: '@adherent<current()>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
#         parenttype: 'vente'
# App\Entity\VenteComptoirPrestataire:
#     vte_cpt_pre{2..5}:
#         operateur: '@usercomptoir'
#         role: 'Comptoir'
#         type: 'comptoir_prestataire'
#         reference: 'vte_cpt_pre<current()>'
#         moyen: 'vente'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@comptoir<numberBetween(1,10)>'
#         destinataire: '@prestataire<current()>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
#         parenttype: 'vente'
# App\Entity\RetraitComptoirAdherent:
#     ret_cpt_adh{2..5}:
#         operateur: '@usercomptoir'
#         role: 'Comptoir'
#         type: 'retrait_adherent'
#         reference: 'vte_cpt_adh<current()>'
#         moyen: 'retrait'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@comptoir<numberBetween(1,10)>'
#         destinataire: '@adherent<current()>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
#         parenttype: 'retrait'
# App\Entity\RetraitComptoirPrestataire:
#     ret_cpt_pre{2..5}:
#         operateur: '@usercomptoir'
#         role: 'Comptoir'
#         type: 'retrait_prestataire'
#         reference: 'vte_cpt_pre<current()>'
#         moyen: 'retrait'
#         montant: '<randomFloat(2,1,2)>'
#         expediteur: '@comptoir<numberBetween(1,10)>'
#         destinataire: '@prestataire<current()>'
#         createdAt: '<dateTimeBetween("-200 days", "now")>'
#         parenttype: 'retrait'
